Skip to main content
GET
/
v1
/
automation
/
runs
List automation runs
curl --request GET \
  --url https://brew.new/api/v1/automation/runs \
  --header 'Authorization: Bearer <token>'
{
  "runs": [],
  "pagination": {
    "limit": 25,
    "hasMore": false
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.brew.new/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Query Parameters

automationRunId
string
automationId
string
triggerEventId
string
triggerInstanceId
string
recipientEmail
string<email>
status
enum<string>
Available options:
pending,
running,
completed,
failed,
cancelled
mode
enum<string>
Available options:
live,
test
from
string<date-time>
to
string<date-time>
limit
integer
default:25
Required range: 1 <= x <= 100
cursor
string
include
string

Comma-separated list. Allowed: logs.

Response

List of runs (single-element when ?automationRunId=…).

runs
object[]
required
logs
object[]
pagination
object